Bug 847322 - Review Request: libnetfilter_cttimeout - Timeout policy tuning for Netfilter/conntrack
Review Request: libnetfilter_cttimeout - Timeout policy tuning for Netfilter/...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-10 10:40 EDT by Paul P Komkoff Jr
Modified: 2012-11-26 11:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-26 11:20:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul P Komkoff Jr 2012-08-10 10:40:01 EDT
Spec URL: http://stingray.fedorapeople.org/review/libnetfilter_cttimeout/libnetfilter_cttimeout.spec
SRPM URL: http://stingray.fedorapeople.org/review/libnetfilter_cttimeout/libnetfilter_cttimeout-1.0.0-1.fc17.src.rpm
Description:
This infrastructure allows you to define fine-grain timeout
policies per flow. Basically, from user-space, you can create
timeout policy objects via nfct_timeout_alloc(), set the
policy attributes, via nfct_timeout_*_attr_set(), and then
build the ctnetlink message to communicate this new timeout
policy to the kernel.

Fedora Account System Username: stingray
Comment 1 Peter Lemenkov 2012-08-21 08:00:12 EDT
I'll review it.
Comment 2 Peter Lemenkov 2012-08-21 08:37:07 EDT
Koji scratchbuild for F-19:

* http://koji.fedoraproject.org/koji/taskinfo?taskID=4409524

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is almos silent

work ~/Desktop: rpmlint libnetfilter_cttimeout-*
libnetfilter_cttimeout.src: W: spelling-error Summary(en_US) conntrack -> contract
libnetfilter_cttimeout.src: W: spelling-error %description -l en_US nfct -> NFC
libnetfilter_cttimeout.src: W: spelling-error %description -l en_US alloc -> allot, alloy, allow
libnetfilter_cttimeout.src: W: spelling-error %description -l en_US attr -> tart, attar, attn
libnetfilter_cttimeout.src: W: spelling-error %description -l en_US ctnetlink -> interlink
libnetfilter_cttimeout.x86_64: W: spelling-error Summary(en_US) conntrack -> contract
libnetfilter_cttimeout.x86_64: W: spelling-error %description -l en_US nfct -> NFC
libnetfilter_cttimeout.x86_64: W: spelling-error %description -l en_US alloc -> allot, alloy, allow
libnetfilter_cttimeout.x86_64: W: spelling-error %description -l en_US attr -> tart, attar, attn
libnetfilter_cttimeout.x86_64: W: spelling-error %description -l en_US ctnetlink -> interlink
libnetfilter_cttimeout.x86_64: E: incorrect-fsf-address /usr/share/doc/libnetfilter_cttimeout-1.0.0/COPYING
libnetfilter_cttimeout-debuginfo.x86_64: W: spelling-error Summary(en_US) libnetfilter -> filibusterer
libnetfilter_cttimeout-debuginfo.x86_64: W: spelling-error Summary(en_US) cttimeout -> ct timeout, ct-timeout, timeout
libnetfilter_cttimeout-debuginfo.x86_64: W: spelling-error %description -l en_US libnetfilter -> filibusterer
libnetfilter_cttimeout-debuginfo.x86_64: W: spelling-error %description -l en_US cttimeout -> ct timeout, ct-timeout, timeout
libnetfilter_cttimeout-devel.x86_64: W: spelling-error Summary(en_US) conntrack -> contract
libnetfilter_cttimeout-devel.x86_64: W: spelling-error %description -l en_US nfct -> NFC
libnetfilter_cttimeout-devel.x86_64: W: spelling-error %description -l en_US alloc -> allot, alloy, allow
libnetfilter_cttimeout-devel.x86_64: W: spelling-error %description -l en_US attr -> tart, attar, attn
libnetfilter_cttimeout-devel.x86_64: W: spelling-error %description -l en_US ctnetlink -> interlink
libnetfilter_cttimeout-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 1 errors, 20 warnings.
work ~/Desktop: 

^^^ All these messages are either false positives of cosmetic ones so they can be ignored safely.

+ The package is named according to the  Package Naming Guidelines. All other libnetfilter-packages are named in the same manner - libnetfilter_something.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (GPLv2 or later, as stated in the source files).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum libnetfilter_cttimeout-1.0.0.tar.bz2*
aeab12754f557cba3ce2950a2029963d817490df7edb49880008b34d7ff8feba  libnetfilter_cttimeout-1.0.0.tar.bz2
aeab12754f557cba3ce2950a2029963d817490df7edb49880008b34d7ff8feba  libnetfilter_cttimeout-1.0.0.tar.bz2.1
sulaco ~/rpmbuild/SOURCES:

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
+ The package stores shared library files in some of the dynamic linker's default paths, and it calls ldconfig in %post and %postun.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). Note - this isn't necessary anymore if you don't have any plans for EL5 and EL6.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
+ Header files are stored in a -devel package.
0 No static libraries.
+ The pkgconfig(.pc) files are stored in a -devel package and necessary runtime requirement added (picked up automaticaly by rpmbuild).
+ The library file(s) that end in .so (without suffix) is(are) stored in a -devel package.

- The -devel package MUST require the base package using a fully versioned dependency and the _isa macro: Requires: %{name}%{?_isa} = %{version}-%{release}

+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT). Note - this isn't necessary anymore if you don't have any plans for EL5 and EL6.
+ All filenames in rpm packages are valid UTF-8.


Almost done!

* Please, add the _isa macro as a dependency for the *-devel subpackage and I'll finish it.
* Consider removing stuff required for EL5/EL6 only if you don't have any plans for these branches.
* Drop defattr from %files sections - this isn't used anymore (even in EL5).
Comment 3 Paul P Komkoff Jr 2012-08-21 08:47:53 EDT
I'll keep EL stuff around - conntrack-tools is in EL.
I added _isa and dropped defattr; re-uploaded spec and package to the same place.
Comment 4 Peter Lemenkov 2012-08-21 08:52:34 EDT
Ok, good. I don't see any other issues so this package is


APPROVED.
Comment 5 Paul P Komkoff Jr 2012-08-22 04:06:02 EDT
New Package SCM Request
=======================
Package Name: libnetfilter_cttimeout
Short Description: Timeout policy tuning for Netfilter/conntrack
Owners: stingray
Branches: f16 f17 f18 f19 el6
Comment 6 Gwyn Ciesla 2012-08-22 07:12:29 EDT
Git done (by process-git-requests).

f19==devel

Note You need to log in before you can comment on or make changes to this bug.